Accounts
GET/api/v1/accounts/verify_credentials
Verify credentials
Query parameters
_pebooleanReturns
curl "https://pixelfed.social/api/v1/accounts/verify_credentials" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
{
"id": "2",
"username": "dansup",
"acct": "dansup",
"display_name": "dansup",
"discoverable": true,
"locked": false,
"followers_count": 1284,
"following_count": 312,
"statuses_count": 468,
"note": "Pixelfed developer",
"url": "https://pixelfed.social/dansup",
"avatar": "https://pixelfed.social/storage/avatars/412/760/avatar.jpg",
"avatar_static": "https://pixelfed.social/storage/avatars/412/760/avatar.jpg",
"header": "https://pixelfed.social/storage/headers/missing.png",
"header_static": "https://pixelfed.social/storage/headers/missing.png",
"bot": false,
"emojis": [],
"fields": [],
"last_status_at": null,
"created_at": "2019-03-02T18:21:07.000000Z",
"source": {
"privacy": "public",
"sensitive": false,
"language": "en",
"note": "Pixelfed developer",
"fields": []
}
}PATCH/api/v1/accounts/update_credentials
Update profile
Query parameters
_pebooleanBody parameters
display_namestringnotestringavatarfilelockedbooleanwebsitestringsource[privacy]stringsource[language]stringlicenseintegersync_licensesbooleanmedia_descriptionsbooleancrawlablebooleanis_suggestablebooleanshow_profile_follower_countbooleanshow_profile_following_countbooleanpublic_dmbooleandisable_embedsbooleanshow_atombooleanreduce_motionbooleanhigh_contrast_modebooleanvideo_autoplaybooleanReturns
curl -X PATCH "https://pixelfed.social/api/v1/accounts/update_credentials" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{
"display_name": "dansup",
"note": "Film and fog, mostly. Tallinn and the Baltic coast.",
"locked": false,
"website": "https://dansup.example"
}'Response
{
"id": "2",
"username": "dansup",
"acct": "dansup",
"display_name": "dansup",
"discoverable": true,
"locked": false,
"followers_count": 1284,
"following_count": 312,
"statuses_count": 468,
"note": "Film and fog, mostly. Tallinn and the Baltic coast.",
"url": "https://pixelfed.social/dansup",
"avatar": "https://pixelfed.social/storage/avatars/412/760/avatar.jpg",
"avatar_static": "https://pixelfed.social/storage/avatars/412/760/avatar.jpg",
"header": "https://pixelfed.social/storage/headers/missing.png",
"header_static": "https://pixelfed.social/storage/headers/missing.png",
"bot": false,
"emojis": [],
"fields": [],
"last_status_at": null,
"created_at": "2019-03-02T18:21:07.000000Z",
"bio": "Film and fog, mostly. Tallinn and the Baltic coast.",
"advanced_atom": false,
"disable_embeds": false,
"mutual_mention_notifications": false,
"hide_collections": false,
"hide_like_counts": false,
"hide_groups": false,
"hide_stories": false,
"disable_cw": false
}GET/api/v1/accounts/{id}
Get an account
Path parameters
idstringrequiredQuery parameters
_pebooleanReturns
curl "https://pixelfed.social/api/v1/accounts/412760184563377" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
{
"id": "412760184563377",
"username": "jonas",
"acct": "jonas",
"display_name": "Jonas Berg",
"discoverable": true,
"locked": true,
"followers_count": 211,
"following_count": 190,
"statuses_count": 87,
"note": "Long exposures and longer walks.",
"url": "https://pixelfed.social/jonas",
"avatar": "https://pixelfed.social/storage/avatars/412/760/184/563/377/avatar.jpg",
"avatar_static": "https://pixelfed.social/storage/avatars/412/760/184/563/377/avatar.jpg",
"header": "https://pixelfed.social/storage/headers/missing.png",
"header_static": "https://pixelfed.social/storage/headers/missing.png",
"bot": false,
"emojis": [],
"fields": [],
"last_status_at": null,
"created_at": "2020-06-18T09:12:44.000000Z"
}GET/api/v1/accounts/lookup
Look up an account
Query parameters
acctstringrequired_pebooleanReturns
curl "https://pixelfed.social/api/v1/accounts/lookup?acct=dansup" \
-H "Accept: application/json"Response
{
"id": "2",
"username": "dansup",
"acct": "dansup",
"display_name": "dansup",
"locked": false,
"followers_count": 1284,
"following_count": 312,
"statuses_count": 468,
"url": "https://pixelfed.social/dansup",
"avatar": "https://pixelfed.social/storage/avatars/412/760/avatar.jpg",
"created_at": "2019-03-02T18:21:07.000000Z"
}GET/api/v1/accounts/search
Search accounts
Mastodon compatible User token Scope read
Query parameters
qstringrequiredlimitintegerresolvebooleanReturns
curl "https://pixelfed.social/api/v1/accounts/search?q=mar&limit=5" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
[{
"id": "2",
"username": "dansup",
"acct": "dansup",
"display_name": "dansup",
"followers_count": 1284,
"url": "https://pixelfed.social/dansup",
"avatar": "https://pixelfed.social/storage/avatars/412/760/avatar.jpg"
}, {
"id": "412760184563944",
"username": "marek",
"acct": "marek",
"display_name": "Marek Tamm",
"followers_count": 96,
"url": "https://pixelfed.social/marek",
"avatar": "https://pixelfed.social/storage/avatars/412/760/184/563/944/avatar.jpg"
}]GET/api/v1/accounts/{id}/statuses
List an account's posts
Path parameters
idstringrequiredQuery parameters
limitintegermax_idstringmin_idstringsince_idstringonly_mediabooleanmedia_typestringexclude_repliesbooleanpinnedbooleanonly_repostsboolean_pebooleanReturns
curl "https://pixelfed.social/api/v1/accounts/2/statuses?limit=10&only_media=true" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
[{
"id": "728341901556629504",
"created_at": "2026-09-14T17:42:10.000Z",
"url": "https://pixelfed.social/p/dansup/728341901556629504",
"content": "Golden hour at the pier",
"visibility": "public",
"sensitive": false,
"favourited": false,
"reblogged": false,
"bookmarked": false,
"favourites_count": 42,
"reblogs_count": 3,
"replies_count": 5,
"media_attachments": [{
"id": "728341067224219648",
"type": "image",
"url": "https://pixelfed.social/storage/m/_v2/2/pier.jpg",
"preview_url": "https://pixelfed.social/storage/m/_v2/2/pier_thumb.jpg",
"description": "Wooden pier at sunset, two people fishing at the far end"
}],
"account": {
"id": "2",
"username": "dansup",
"acct": "dansup",
"display_name": "dansup"
}
}]GET/api/v1/accounts/{id}/followers
List followers
Path parameters
idstringrequiredQuery parameters
limitintegermax_idstringmin_idstringpageinteger_pebooleanReturns
curl "https://pixelfed.social/api/v1/accounts/2/followers?limit=40" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
[{
"id": "412760184563377",
"username": "jonas",
"acct": "jonas",
"display_name": "Jonas Berg",
"locked": true,
"url": "https://pixelfed.social/jonas",
"avatar": "https://pixelfed.social/storage/avatars/412/760/184/563/377/avatar.jpg"
}, {
"id": "590118272640118784",
"username": "liis",
"acct": "liis@mastodon.social",
"display_name": "Liis",
"locked": false,
"url": "https://mastodon.social/@liis",
"avatar": "https://pixelfed.social/storage/cache/avatars/590/118/272/640/118/784/avatar.jpg"
}]GET/api/v1/accounts/{id}/following
List following
Path parameters
idstringrequiredQuery parameters
limitintegermax_idstringmin_idstringpageinteger_pebooleanReturns
curl "https://pixelfed.social/api/v1/accounts/412760184563377/following?limit=40" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
[{
"id": "2",
"username": "dansup",
"acct": "dansup",
"display_name": "dansup",
"locked": false,
"url": "https://pixelfed.social/dansup",
"avatar": "https://pixelfed.social/storage/avatars/412/760/avatar.jpg"
}]GET/api/v1/accounts/relationships
Check relationships
Query parameters
id[]array of stringsrequired_pebooleanReturns
curl "https://pixelfed.social/api/v1/accounts/relationships?id[]=412760184563377" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
[{
"id": "412760184563377",
"following": true,
"followed_by": true,
"blocking": false,
"muting": false,
"muting_notifications": false,
"requested": false,
"domain_blocking": false,
"showing_reblogs": false,
"endorsed": false
}]POST/api/v1/accounts/{id}/follow
Follow an account
Mastodon compatible User token Scope follow
Path parameters
idstringrequiredReturns
curl -X POST "https://pixelfed.social/api/v1/accounts/412760184563377/follow" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
{
"id": "412760184563377",
"following": false,
"followed_by": false,
"blocking": false,
"muting": false,
"muting_notifications": false,
"requested": true,
"domain_blocking": false,
"showing_reblogs": false,
"endorsed": false
}POST/api/v1/accounts/{id}/unfollow
Unfollow an account
Mastodon compatible User token Scope follow
Path parameters
idstringrequiredReturns
curl -X POST "https://pixelfed.social/api/v1/accounts/412760184563377/unfollow" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
{
"id": "412760184563377",
"following": false,
"followed_by": true,
"blocking": false,
"muting": false,
"muting_notifications": false,
"requested": false,
"domain_blocking": false,
"showing_reblogs": false,
"endorsed": false
}POST/api/v1/accounts/{id}/remove_from_followers
Remove a follower
Mastodon compatible User token Scope follow
Path parameters
idstringrequiredReturns
curl -X POST "https://pixelfed.social/api/v1/accounts/412760184563377/remove_from_followers" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
{
"id": "2",
"following": false,
"followed_by": false,
"blocking": false,
"muting": false,
"muting_notifications": false,
"requested": false,
"domain_blocking": false,
"showing_reblogs": false,
"endorsed": false
}GET/api/v1/follow_requests
List follow requests
Mastodon compatible User token Scope read
Query parameters
limitintegerReturns
curl "https://pixelfed.social/api/v1/follow_requests?limit=40" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
[{
"id": "412760184563377",
"username": "jonas",
"acct": "jonas",
"display_name": "Jonas Berg",
"locked": true,
"url": "https://pixelfed.social/jonas",
"avatar": "https://pixelfed.social/storage/avatars/412/760/184/563/377/avatar.jpg"
}]POST/api/v1/follow_requests/{id}/reject
Reject a follow request
Mastodon compatible User token Scope follow
Path parameters
idstringrequiredReturns
curl -X POST "https://pixelfed.social/api/v1/follow_requests/412760184563377/reject" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
{
"id": "412760184563377",
"following": false,
"followed_by": false,
"blocking": false,
"muting": false,
"muting_notifications": false,
"requested": false,
"domain_blocking": false,
"showing_reblogs": false,
"endorsed": false
}POST/api/v1/accounts/{id}/block
Block an account
Mastodon compatible User token Scope write
Path parameters
idstringrequiredReturns
curl -X POST "https://pixelfed.social/api/v1/accounts/412760184563377/block" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
{
"id": "412760184563377",
"following": false,
"followed_by": false,
"blocking": true,
"muting": false,
"muting_notifications": false,
"requested": false,
"domain_blocking": false,
"showing_reblogs": false,
"endorsed": false
}POST/api/v1/accounts/{id}/unblock
Unblock an account
Mastodon compatible User token Scope write
Path parameters
idstringrequiredReturns
curl -X POST "https://pixelfed.social/api/v1/accounts/412760184563377/unblock" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
{
"id": "412760184563377",
"following": false,
"followed_by": false,
"blocking": false,
"muting": false,
"muting_notifications": false,
"requested": false,
"domain_blocking": false,
"showing_reblogs": false,
"endorsed": false
}POST/api/v1/accounts/{id}/mute
Mute an account
Mastodon compatible User token Scope write
Path parameters
idstringrequiredReturns
curl -X POST "https://pixelfed.social/api/v1/accounts/412760184563377/mute" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
{
"id": "412760184563377",
"following": true,
"followed_by": true,
"blocking": false,
"muting": true,
"muting_notifications": false,
"requested": false,
"domain_blocking": false,
"showing_reblogs": false,
"endorsed": false
}POST/api/v1/accounts/{id}/unmute
Unmute an account
Mastodon compatible User token Scope write
Path parameters
idstringrequiredReturns
curl -X POST "https://pixelfed.social/api/v1/accounts/412760184563377/unmute" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
{
"id": "412760184563377",
"following": true,
"followed_by": true,
"blocking": false,
"muting": false,
"muting_notifications": false,
"requested": false,
"domain_blocking": false,
"showing_reblogs": false,
"endorsed": false
}GET/api/v1/preferences
Get preferences
Mastodon compatible User token Scope read
Returns
curl "https://pixelfed.social/api/v1/preferences" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
{
"posting:default:visibility": "public",
"posting:default:sensitive": false,
"posting:default:language": null,
"reading:expand:media": "default",
"reading:expand:spoilers": false
}GET/api/v1/suggestions
List follow suggestions
Mastodon compatible User token Scope read
Returns
curl "https://pixelfed.social/api/v1/suggestions" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
[]GET/api/v1/endorsements
List featured accounts
Mastodon compatible User token Scope read
Returns
curl "https://pixelfed.social/api/v1/endorsements" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
[]POST/api/v1/accounts/{id}/pin
Feature an account
Mastodon compatible User token Scope read
Path parameters
idstringrequiredReturns
curl -X POST "https://pixelfed.social/api/v1/accounts/412760184563377/pin" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
[]POST/api/v1/accounts/{id}/unpin
Unfeature an account
Mastodon compatible User token Scope read
Path parameters
idstringrequiredReturns
curl -X POST "https://pixelfed.social/api/v1/accounts/412760184563377/unpin" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
[]GET/api/v1/lists
List your lists
Mastodon compatible User token Scope read
Returns
curl "https://pixelfed.social/api/v1/lists" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
[]GET/api/v1/accounts/{id}/lists
List lists containing an account
Mastodon compatible User token Scope read
Path parameters
idstringrequiredReturns
curl "https://pixelfed.social/api/v1/accounts/412760184563377/lists" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
[]GET/api/v1/lists/{id}/accounts
List accounts in a list
Mastodon compatible User token Scope read
Path parameters
idstringrequiredReturns
curl "https://pixelfed.social/api/v1/lists/1/accounts" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
[]